Name:          libvirt-glib
Version:       5.0.0
Release:       1mamba
Summary:       A C toolkit to interact with the virtualization capabilities of recent versions of Linux
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://download.libvirt.org/glib/
Source:        http://libvirt.org/sources/glib/libvirt-glib-%{version}.tar.xz
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libglib-devel
BuildRequires: libvirt-devel
BuildRequires: libxml2-devel
## AUTOBUILDREQ-END
BuildRequires: libxen-devel >= 4.8.0-1mamba
Provides:      python-libvirt-glib
Obsoletes:     python-libvirt-glib <= 3.0.0

%description
libvirt is a C toolkit to interact with the virtualization capabilities of recent versions of Linux (and other OSes).

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%package -n python-libvirt-glib
Group:         System/Libraries/Python
Summary:       Utility applications for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n python-libvirt-glib
This package contains python bindings to %{name}.

%package apidocs
Group:         Documentation
Summary:       %{name} API documentation
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      gtk-doc

%description apidocs
This package includes the %{name} API documentation.

%debug_package

%prep
%setup -q

%build
%meson

%meson_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%meson_install

%find_lang %{name} || touch %{name}.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
## note: this list is just an example; modify as required
# %{_libdir}/*.so.*
# %{_mandir}/man1/%{name}.*
%{_libdir}/libvirt-gconfig-1.0.so.*
%{_libdir}/libvirt-glib-1.0.so.*
%{_libdir}/libvirt-gobject-1.0.so.*
%{_libdir}/girepository-1.0/LibvirtGConfig-1.0.typelib
%{_libdir}/girepository-1.0/LibvirtGLib-1.0.typelib
%{_libdir}/girepository-1.0/LibvirtGObject-1.0.typelib
%doc AUTHORS COPYING

%files devel
%defattr(-,root,root)
%dir %{_includedir}/libvirt-gconfig-1.0/libvirt-gconfig
%{_includedir}/libvirt-gconfig-1.0/libvirt-gconfig/*.h
%dir %{_includedir}/libvirt-glib-1.0/libvirt-glib
%{_includedir}/libvirt-glib-1.0/libvirt-glib/*.h
%dir %{_includedir}/libvirt-gobject-1.0/libvirt-gobject
%{_includedir}/libvirt-gobject-1.0/libvirt-gobject/*.h
%{_libdir}/libvirt-gconfig-1.0.so
%{_libdir}/libvirt-glib-1.0.so
%{_libdir}/libvirt-gobject-1.0.so
%{_libdir}/pkgconfig/libvirt-gconfig-1.0.pc
%{_libdir}/pkgconfig/libvirt-glib-1.0.pc
%{_libdir}/pkgconfig/libvirt-gobject-1.0.pc
%{_datadir}/gir-1.0/LibvirtGConfig-1.0.gir
%{_datadir}/gir-1.0/LibvirtGLib-1.0.gir
%{_datadir}/gir-1.0/LibvirtGObject-1.0.gir
%{_datadir}/vala/vapi/libvirt-*.vapi
%{_datadir}/vala/vapi/libvirt-*.deps
%doc NEWS README

#%files -n python-libvirt-glib
#%defattr(-,root,root)
#%{python_sitearch}/libvirtglib.py
#%{python_sitearch}/libvirtglibmod.la
#%{python_sitearch}/libvirtglibmod.so

%files apidocs
%defattr(-,root,root)
%dir %{_datadir}/gtk-doc/html/Libvirt-gconfig
%{_datadir}/gtk-doc/html/Libvirt-gconfig/*
%dir %{_datadir}/gtk-doc/html/Libvirt-glib
%{_datadir}/gtk-doc/html/Libvirt-glib/*
%dir %{_datadir}/gtk-doc/html/Libvirt-gobject
%{_datadir}/gtk-doc/html/Libvirt-gobject/*

%changelog
* Fri Dec 01 2023 Automatic Build System <autodist@mambasoft.it> 5.0.0-1mamba
- automatic version update by autodist

* Wed Apr 28 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 4.0.0-1mamba
- update to 4.0.0

* Thu May 21 2020 Automatic Build System <autodist@mambasoft.it> 3.0.0-1mamba
- automatic version update by autodist

* Tue Dec 04 2018 Automatic Build System <autodist@mambasoft.it> 2.0.0-1mamba
- automatic version update by autodist

* Thu Aug 02 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.0-2mamba
- provide/obsolete python-libvirt-glib

* Sat Jan 28 2017 Automatic Build System <autodist@mambasoft.it> 1.0.0-1mamba
- automatic version update by autodist

* Sat Dec 10 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.3-3mamba
- rebuilt by autoport with build requirements: libxen-devel>=4.8.0-1mamba

* Fri Jul 22 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.3-2mamba
- rebuilt with xen 4.7

* Wed Feb 10 2016 Automatic Build System <autodist@mambasoft.it> 0.2.3-1mamba
- automatic update by autodist

* Fri Sep 25 2015 Automatic Build System <autodist@mambasoft.it> 0.2.2-1mamba
- automatic version update by autodist

* Thu Jul 09 2015 Automatic Build System <autodist@mambasoft.it> 0.2.1-1mamba
- automatic update by autodist

* Tue Dec 16 2014 Automatic Build System <autodist@mambasoft.it> 0.2.0-1mamba
- automatic version update by autodist

* Sun Aug 24 2014 Automatic Build System <autodist@mambasoft.it> 0.1.9-1mamba
- automatic update by autodist

* Sat May 03 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 0.1.8-1mamba
- package created using the webbuild interface
